﻿/* Tree */

.tree {
    overflow-x: hidden;
    overflow-y: auto;
    padding-left: 9px;
    position: relative;
}

    .tree:before {
        -moz-border-bottom-colors: none;
        -moz-border-left-colors: none;
        -moz-border-right-colors: none;
        -moz-border-top-colors: none;
        border-color: #67B2DD;
        border-image: none;
        border-style: dotted;
        border-width: 0 0 0 1px;
        bottom: 16px;
        content: "";
        display: inline-block;
        left: 0;
        position: absolute;
        top: -20px;
        z-index: 1;
    }

    .tree .tree-folder {
        cursor: pointer;
        min-height: 20px;
        width: auto;
    }

        .tree .tree-folder .tree-folder-header {
            height: 100%;
            line-height: 20px;
            position: relative;
        }

            .tree .tree-folder .tree-folder-header:hover {
                background-color: #f3f3f3;
            }

            .tree .tree-folder .tree-folder-header .tree-folder-name,
            .tree .tree-item .tree-item-name {
                display: inline;
                z-index: 2;
            }

            .tree .tree-folder .tree-folder-header > [class*="fa-"]:first-child,
            .tree .tree-item > [class*="fa-"]:first-child {
                display: inline-block;
                position: relative;
                top: -1px;
                z-index: 2;
            }

            .tree .tree-folder .tree-folder-header .tree-folder-name {
                margin-left: 2px;
            }

            .tree .tree-folder .tree-folder-header > [class*="fa-"]:first-child {
                margin: -2px 0 0 -2px;
            }

        .tree .tree-folder:last-child:after {
            border-left: 1px solid #FFFFFF;
            bottom: 0;
            content: "";
            display: inline-block;
            left: -15px;
            position: absolute;
            top: 15px;
            z-index: 1;
        }

        .tree .tree-folder .tree-folder-content {
            margin-left: 23px;
            position: relative;
        }

            .tree .tree-folder .tree-folder-content:before {
                -moz-border-bottom-colors: none;
                -moz-border-left-colors: none;
                -moz-border-right-colors: none;
                -moz-border-top-colors: none;
                border-color: #67B2DD;
                border-image: none;
                border-style: dotted;
                border-width: 0 0 0 1px;
                bottom: 16px;
                content: "";
                display: inline-block;
                left: -14px;
                position: absolute;
                top: -14px;
                z-index: 1;
            }

    .tree .tree-item {
        cursor: pointer;
        height: 100%;
        line-height: 20px;
        position: relative;
    }

        .tree .tree-item:hover {
            background-color: #f3f3f3;
        }

        .tree .tree-item .tree-item-name {
            margin-left: 3px;
        }

            .tree .tree-item .tree-item-name > [class*="fa-"]:first-child {
                margin-right: 3px;
            }

        .tree .tree-item > [class*="fa-"]:first-child {
            margin-top: -1px;
        }

    .tree .tree-folder,
    .tree .tree-item {
        position: relative;
    }

        .tree .tree-folder:before,
        .tree .tree-item:before {
            border-top: 1px dotted #67B2DD;
            content: "";
            display: inline-block;
            height: 0;
            left: -13px;
            position: absolute;
            top: 14px;
            width: 18px;
            z-index: 1;
        }

    .tree .tree-selected {
        background-color: rgba(98, 168, 209, 0.1);
        color: #6398B0;
    }

        .tree .tree-selected:hover {
            background-color: rgba(98, 168, 209, 0.1);
        }

    .tree .tree-item,
    .tree .tree-folder {
        border: 1px solid #FFFFFF;
    }

        .tree .tree-folder .tree-folder-header {
            border-radius: 0 0 0 0;
        }

        .tree .tree-item,
        .tree .tree-folder .tree-folder-header {
            -moz-box-sizing: content-box;
            margin: 0;
            padding: 5px;
        }

            .tree .tree-item > [class*="fa-"]:first-child {
                -moz-box-sizing: content-box;
                background-color: #FAFAFA;
                border: 1px solid #CCCCCC;
                border-radius: 3px 3px 3px 3px;
                box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
                color: #e6e6e6;
                font-size: 11px;
                height: 13px;
                line-height: 13px;
                text-align: center;
                width: 13px;
            }

    .tree .tree-selected > [class*="fa-"]:first-child {
        background-color: #a8bc7b;
        border-color: #a8bc7b;
        color: #FFFFFF;
    }

    .tree .icon-plus[class*="fa-"]:first-child,
    .tree .icon-minus[class*="fa-"]:first-child {
        -moz-box-sizing: content-box;
        background-color: #FFFFFF;
        border: 1px solid #8BAEBF;
        height: 11px;
        line-height: 10px;
        position: relative;
        text-align: center;
        vertical-align: middle;
        width: 11px;
        z-index: 1;
    }

        .tree .icon-plus[class*="fa-"]:first-child:before {
            content: "+";
            display: block;
            font-family: "Open Sans";
            font-size: 16px;
            position: relative;
            z-index: 1;
        }

        .tree .icon-minus[class*="fa-"]:first-child:before {
            border-top: 1px solid #4D6878;
            content: "";
            display: block;
            height: 0;
            left: 2px;
            position: absolute;
            top: 5px;
            width: 7px;
        }

    .tree .tree-unselectable .tree-item > [class*="fa-"]:first-child {
        background-color: rgba(0, 0, 0, 0);
        border: 0 none;
        border-radius: 0 0 0 0;
        box-shadow: none;
        color: #5084A0;
        font-size: 10px;
        height: 13px;
        line-height: 13px;
        text-align: center;
        width: 13px;
    }

    .tree [class*="fa-"][class*="-down"] {
        transform: rotate(-45deg);
        -webkit-transform: rotate(-45deg);
    }

    .tree .fa-spin {
        height: auto;
    }

    .tree .tree-loading {
        margin-left: 36px;
    }

    .tree img {
        display: inline;
    }
